Subject: Genart last call review of draft-ietf-trill-rbridge-multilevel-06

From: Stewart Bryant <[email-masked]>
Date: Wed, 28 Jun 2017 11:06:17 -0700

Reviewer: Stewart Bryant
Review result: Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-trill-rbridge-multilevel-??
Reviewer: Stewart Bryant
Review Date: 2017-06-28
IETF LC End Date: 2017-06-28
IESG Telechat date: 2017-07-06

Summary:

This is a well written document. I do however have a concern with the scaling
text in section 1.2.x, as I think this could be more accessible and ought to
include discussion of MAC Address scaling. More information below.

Major issues: None

Minor issues: The key justification for multi-area is scaling. The scene is set
in Section 1.2.x. However there are no references, the design size parameters
are not articulated for each case, and the equations are not derived. I think
that it would be helpful if the draft either provided some more explanation of
the scaling equations and the associated input assumptions, or provided the
assumptions and  directed the reader to an accessible text to understand the
equations. Although there is some discussion on it later there is no discussion
of the number of addresses to be learned in the single and multi-area cases and
the impact this has on the LSDB. The number of addresses to be learned will
impact the ingress RBridge FIB and the FIB update time so this is just as
significant in understanding the benefit of multi-level as understanding the
link-state convergence time is.

Nits/editorial comments: None

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 28 Jun 2017 16:18:49 -0400

Hi Stewart,

Thanks for the comments. See below.

On Wed, Jun 28, 2017 at 2:06 PM, Stewart Bryant
<[email-masked]> wrote:
> equations.

A reference and some further exposition of the assumptions made with
the way the equations were arrived at could be added.

>                     Although there is some discussion on it later there is no discussion

The number of MAC (actually MAC/VLAN or MAC/FGL) addresses to be
learned by an edge TRILL switch is not affected by whether the TRILL
campus uses single or multilevel IS-IS. This number of MAC address
learned is the seventh scaling problem listed in Section 1.1 which
states that multilevel TRILL IS-IS helps only with the other six
problems. This point, that multilevel doesn't help here, could be
emphasized more but I don't think I see much point in this document in
going into details such as the scaling considerations of data plane
MAC address learning (which is the default in TRILL) or control plan
MAC address learning (which does not use the core LSDB but rather Data
Label scoped ESADI link stat databases).

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]